Subject: Re: Win 95 console business
From: [email-masked] (Peter Boncz)

6 Nov 1997 04:56:27 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: [email-masked]

Hi there:

Let me declare that I am totally uninterested i M$ bashing or holy wars,
but skimming over this message I saw the following remark:

> And have you ever used VC++? It compiles faster and makes better code than
> gcc does (last time I looked) and it has a far nicer environment.

My question to the net community: is this true, and how much is the
difference?? Has anyone compared the two on NT or even Win95?

I know that the cygwin library adds overhead on top of WIN32 calls,
but apart from that, if you just look at a program spending CPU time
on reading/writing memory arrays and the like (i.e. little OS calls), 
what kind of performance difference typically comes out of
the same program being compiled with gcc -O3 and optimizing VC++?

I mean, I always thought that gcc -O3 was pretty competitive, at 
least that is my experience with gcc on solaris in comparison
with the sun cc/CC.

-- 
=== P.A. Boncz ================= phone: +31-20-525 7580 === WCW room F106 ===
=== (Ph.D. student)              email: [email-masked]                  ===
=== Magnum Database Project        PGP: finger [email-masked]     ===
=== University of Amsterdam ====== WWW: http://www.fwi.uva.nl/~boncz/ =======

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".